Bug 480954 - KDE print dialogue options do not show correct setting for duplex printing
KDE print dialogue options do not show correct setting for duplex printing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 10:04 EST by Roderick Johnstone
Modified: 2010-10-07 12:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: qt-4.6.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 05:51:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 176999 None None None Never

  None (edit)
Description Roderick Johnstone 2009-01-21 10:04:44 EST
Description of problem:
KDE print dialogue options do not show correct setting for duplex printing based on cups system defaults

For example, in kmail, if I want to print a mail message the print dialogue Options/Options(tab) shows Duplex printing None selected despite the default being Long-Edge Binding as seen in Properties/Advanced(tab). it does actually print duplex though.

Version-Release number of selected component (if applicable):
kdepim-4.1.3-1.fc10.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Open an email in kmail
2. select file/print
3.
  
Actual results:
Options/Options(tab) shows Duplex Printing None

Expected results:
Options/Options(tab) shows Duplex Printing Long side

Additional info:
Affects many kde applications eg kate, kaddressbook etc

I guess there is a better component to log this against, but its not obvious to me which one.
Comment 1 Kevin Kofler 2009-01-21 10:10:26 EST
As this also affects other apps, I'd suspect kdelibs. But it might also be a Qt issue as the KDE 4 print dialog is based on the Qt one.
Comment 2 Steven M. Parrish 2009-02-04 07:39:02 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
 it.
Comment 3 Steven M. Parrish 2009-03-16 20:27:33 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.
Comment 4 Roderick Johnstone 2009-03-17 05:19:13 EDT
Oops, sorry, forgot to add reference to my upstream report. 

See: comment #13 at https://bugs.kde.org/show_bug.cgi?id=176999
Comment 5 Kevin Kofler 2009-03-17 05:51:15 EDT
Thanks for reporting this upstream, we'll continue tracking it there.
Comment 6 Kevin Kofler 2010-10-07 12:09:08 EDT
This has been fixed in Fedora since qt-4.6.1-3.
See also bug 523846 where this issue was also discussed (but bug 523846 turned out to require a different fix).

Note You need to log in before you can comment on or make changes to this bug.